<?php
/*
    Wordpress Water Theme - Copyright  2008  Fallen Tsubasa

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; Version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

if( !defined('ABSPATH') ) die ('Please do not load this page directly. Thanks!');
// Get files for functions
include 'inc/global.php';
include 'inc/posts.php';
include 'inc/header.php';
include 'inc/recents.php';
include 'inc/class.php';
include 'inc/sidebar.php';
include 'inc/feed_die.php';

// Maybe update settings?
water_update_settings();

// Get some information
$water = new water();
$water->update();

// Sidebar stuff
if( function_exists('register_sidebar') ) { register_sidebar(); }
function widget_water_search() {
	global $sbtitle ?>
		<li id="search" class="widget search">
			<?php echo $sbtitle[0] ?>Search<?php echo $sbtitle[1] ?>
			<form id="searchform" method="get" action="<?php bloginfo('home') ?>">
				<input type="text" value="<?php echo wp_specialchars($s, 1) ?>" name="s" id="s" />
			</form>
		</li><?php
}
if( function_exists('register_sidebar_widget') ) { register_sidebar_widget(__('Search'), 'widget_water_search'); }
function widget_water_calendar() {
	global $sbtitle, $posts;
	if( empty($posts) )
		return;
	$options = get_option('widget_calendar');
	$title = apply_filters('widget_title', $options['title']);
	if ( empty($title) ) $title = 'Calendar' ?>
		<li class="widget calendar">
			<?php echo $sbtitle[0]; _e($title); echo $sbtitle[1]; ?>
			<?php get_calendar() ?>
		</li><?php
}
if( function_exists('wp_widget_calendar') ) { register_sidebar_widget(__('Calendar'), 'widget_water_calendar'); }

// Theme Options stuff
function water_admin_menu() {
	global $water;
	if ( $_GET['page'] === 'functions.php' ) {
		if ( 'save' === $_REQUEST['action'] ) {
			if( get_magic_quotes_gpc() )
				$_POST = stripslashes_deep($_POST);
			foreach( $water as $k => $v ) {
				if( 'theme_version' === $k )
					continue;
				update_option( 'water_'. $k, null == $_POST[ $k ] ? '' : $_POST[ $k ] );
				$water->$k = $_POST[ $k ];
			}
			$arr = array('cat_exclude', 'pg_exclude');
			foreach( $arr as $ar ) {
				update_option('water_' . $ar, '&exclude=' . @implode(',', $_REQUEST[$ar]));
			}

			if( true === synchronize_css() )
				header("Location: themes.php?page=functions.php&saved=true"); // Refresh data
			else
				header("Location: themes.php?page=functions.php&fail=true");
			die;
		}
	}

	add_theme_page(
		'Settings for Water', // Title
		'Water\'s Settings', // Tab
		'edit_themes',
		'functions.php',
		'water_admin_menu_sub'
	);
}
function water_admin_menu_sub() { require_once "inc/settings.php"; }
function water_admin_menu_css() {
if( $_REQUEST['page'] != basename(__FILE__) ) { return; } ?>
<link rel="stylesheet" href="<?php bloginfo('template_directory') ?>/inc/settings.css" type="text/css" media="screen" />
<script type="text/javascript">var dir = '<?php bloginfo('template_directory') ?>/';</script>
<script src="<?php bloginfo('template_directory') ?>/inc/settings.js" type="text/javascript"></script><?php
}
function water_version() {
	global $version_wait;
	++$version_wait;
	if( $_GET['page'] === 'version_check.php' && 2 === $version_wait) : global $water ?>
	<iframe src="http://aizen.the-aria.org/water_version.php?version=<?php waterinfo('theme_version') ?>&view=1" width="100%" height="600px" frameborder="0" scrolling="yes"></iframe>
	<?php endif;
	add_theme_page(
		'Check Theme\'s Version',
		'Version Check',
		'edit_themes',
		'version_check.php',
		'water_version'
	);
}

function water_reset() {
	if( 'reset.php' === $_GET['page'] ) {
		global $wpdb;
		$wpdb->query("DELETE FROM $wpdb->options WHERE option_name LIKE 'water\_%' && option_name != 'water_version'");
		$water = new water();
		if( synchronize_css($water) )
			header("Location: themes.php?page=functions.php&reset=true"); // Refresh data
		else
			header("Location: themes.php?page=functions.php&fail=true");
		die;
	}

	add_theme_page(
		'Resetting Settings...',
		'Reset Settings',
		'edit_themes',
		'reset.php',
		'water_reset'
	);
}

function water_add_excerpt() { ?><style type="text/css">#excerpt { height: 150px; }</style><?php }

add_action('admin_menu', 'water_admin_menu');
add_action('admin_head', 'water_admin_menu_css');
add_action('admin_head', 'water_add_excerpt');
add_action('admin_menu', 'water_reset');
add_action('admin_menu', 'water_version');
add_action('commentsrss2_head', 'rss2_die');
add_action('rss2_head', 'rss2_die');
add_action('rss_head', 'rss_die');
add_action('atom_head', 'atom_die');
add_action('atom_ns', 'atomns_die');
add_action('rdf_header', 'rdf_die');
?>