<?php
/*
    Wordpress Water Theme - Copyright  2008  Fallen Tsubasa

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; Version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

if( !defined('ABSPATH') ) die ('Please do not load this page directly. Thanks!');
function get_the_time_format($gmt, $type) {
	if( 'post' === $type ) {
		$format = 'F j, Y - g:i A';
		$extra  = 'g:i A';
		$a      = get_the_time('U');
	} else {
		$format = 'F j, Y | g:i A';
		$extra  = 'g:i A';
		$a      = get_comment_time('U');
	}

	switch( floor((strtotime(date('Y-m-d', current_time('timestamp', $gmt))) - strtotime(date('Y-m-d', $a)))/86400) )
	{
		case 0:
			return 'Today, ' . date($extra, $a);
		case 1:
			return 'Yesterday, ' . date($extra, $a);
		default:
			return date($format, $a);
	}
}

function the_time_format($gmt, $type) {
	echo get_the_time_format($gmt, $type);
}

function the_nav_link() {
	global $paged, $wp_query;
	$i = 0;
	if ( !is_singular() ) {
		$max_num_pages = $wp_query->max_num_pages;

		if ( $max_num_pages > 1 ) {
			if( (! is_single()) ) {
				if ( !$paged ) $paged = 1;
				$prev_page = intval($paged) + 1;
				if ( empty($paged) || $prev_page <= $max_num_pages )
					$i = $i | 1;
				if( $paged > 1 )
					$i = $i | 2;
				if( $i ) { ?>
	<div class="post"><?php
					if( $i & 1 ) : ?>
		<p class="left"><a href="<?php next_posts($max_num_pages) ?>">&laquo; Older Entries</a></p><?php
					endif;
					if( $i & 2 ) : ?>
		<p class="right"><a href="<?php previous_posts() ?>">Newer Entries &raquo;</a></p><?php
					endif ?>
	</div><?php }
			}
		}
	}
}

function str2bool(&$str) {
	switch( $str ) {
		case 'true': case 'yes':
			$str = 1;
			break;
		case 'false': case 'no':
			$str = 0;
			break;
	}
}

function user_group() {
	global $uigroup;

	if ( empty($uigroup) ) {
		global $userdata;
		get_currentuserinfo();
		eval('$uigroup = $userdata->' . $wpdb->prefix . 'capabilities;');
		if( is_array($uigroup) ) {
			$uigroup = array_keys($uigroup);
			$uigroup = trim(ucfirst($uigroup[0]));
		} else {
			$uigroup = 'Guest';
		}
	}
	return $uigroup;
}

function user_types() {
	return array('Guest', 'Subscriber', 'Contributor', 'Author', 'Editor', 'Administrator', 'None');
}

function isingroup($group) {
	$currentgroup = array_search( user_group(), user_types() );
	$isingroup = array_search( $group, user_types() );

	if( false === $currentgroup || false === $isingroup )
		return false;
	else
		return $currentgroup >= $isingroup;
}

function synchronize_css($water=NULL) {
	if( NULL === $water )
		global $water;

	$path = pathinfo(__FILE__);
	$path = $path['dirname'];
	$the_css = $path . '/styling.css';

	if( !empty($water->custom_css) ) {
		$water->custom_css = trim($water->custom_css);
		if( !empty($water->custom_css) )
			$water->custom_css = "\n\n/* Custom CSS */\n\n$water->custom_css";
	}

	if( is_writable($path . '/../style.css') ) {
		$handle = @fopen($the_css, "r");
		if( !$handle || 0 === filesize($the_css) ) // This... shouldn't happen.
			return false;
		$css_stuff = fread($handle, filesize($the_css));
		eval('$css = "' . $css_stuff . '";');
		fclose($handle);
		$handle = fopen($path . '/../style.css', 'w');
		if( !$handle ) // fopen failed... for some random reason.
			return false;
		fwrite($handle, $css);
		fclose($handle);
		return true;
	} else {
		return false;
	}
}

function waterinfo($name) {
	global $water;
	echo $water->$name;
}

function htmlentity($value, $echo = 1) {
	$value = ent2ncr(wp_specialchars($value, 1));
	if( $echo )
		echo $value;
	else
		return $value;
}

function str_escape($string) {
	return attribute_escape(strip_tags(html_entity_decode($string, ENT_QUOTES)));
}

function summarize(&$str, $cutoff) {
	if( _strlen($str) > $cutoff )
		$str = _substr($str, 0, $cutoff) . '...';
}

function water_update_settings() {
	include 'updates.php';
}

function _strlen($str) {
	return function_exists('mb_strlen') ? mb_strlen($str) : strlen($str);
}

function _substr($str, $start, $offset) {
	return function_exists('mb_substr') ? mb_substr($str, $start, $offset) :  substr($str, $start, $offset);
}

function drop_magic_quotes_runtime($str) {
	return get_magic_quotes_runtime() ? stripslashes($str) : $str;
}
?>