<?php
if( !defined('ABSPATH') ) die ('Please do not load this page directly. Thanks!');
function show_desc() {
	global $water;

	$value = get_bloginfo('description');
	if( !empty($value) && $water->show_blog_desc ) : ?>: <?php bloginfo('description'); endif;
}

function maybe_description() {
	global $water;
	if( empty($water->blog_description) )
		return;

	echo '<meta name="description" content="', ent2ncr(wp_specialchars($water->blog_description, 1)) ,'" />';
}

function show_tagline() {
	global $water;
	$description = get_bloginfo('description');
	if( !$water->show_tagline || empty($description) )
		return;
	echo '<p id="tagline">', $description, '</p>';
}

function show_tab_pages() {
	global $water;

	if( $water->show_pages_tab ) {
		if( false !== get_the_pages() ) : ?>
			<li onmouseover="this.className='msiefix'" onmouseout="this.className=''"><a href="#"><?php waterinfo('page_name') ?></a>
				<ul>
					<?php echo get_the_pages() ?>
				</ul>
			</li>
	<?php endif;
	}
}

function show_tab_cats() {
	global $water;

	if( $water->show_cat_tab ) {
		if( false !== get_the_cats() ) : ?>
			<li onmouseover="this.className='msiefix'" onmouseout="this.className=''"><a href="#"><?php waterinfo('cat_name') ?></a>
				<ul>
					<?php echo get_the_cats() ?>
				</ul>
			</li>
	<?php endif;
	}
}

function show_tab_archives() {
	global $water, $posts;

	if( $water->show_arch_tab && !empty($posts) ) : ?>
			<li onmouseover="this.className='msiefix'" onmouseout="this.className=''" ><a href="#"><?php waterinfo('archive_name') ?></a>
				<ul>
				<?php wp_get_archives('type=monthly') ?>
				</ul>
			</li>
	<?php endif;
}

function show_tab_extra() {
	global $water;

	if( $water->show_extra_tab ) {
		if( !empty($water->extra_tab_stuff) ) : ?>
			<li onmouseover="this.className='msiefix'" onmouseout="this.className=''" ><a href="#"><?php waterinfo('extra_name') ?></a>
				<ul>
					<li><?php echo implode("</li>\n<li>", explode("\n", $water->extra_tab_stuff)) ?></li>
				</ul>
			</li>
		<?php endif;
	}
}

function show_tab_options() {
	global $water;

	if( $water->show_opt_tab ) { ?>
			<li onmouseover="this.className='msiefix'" onmouseout="this.className=''" ><a href="#"><?php waterinfo('options_name') ?></a>
				<ul>
				<?php if( 'Guest' === user_group() ) : ?>
					<li><?php wp_loginout() ?></li>
				<?php endif ?>

				<?php wp_register() ?>

				<?php if( current_user_can('publish_posts') ) : ?>
					<li><a href="<?php bloginfo('home') ?>/wp-admin/post-new.php">Write New Post</a></li>
					<li><a href="<?php bloginfo('home') ?>/wp-admin/page-new.php">Write New Page</a></li>
				<?php endif ?>

				<?php if( current_user_can('moderate_comments') ) : ?>
					<li><a href="<?php bloginfo('home') ?>/wp-admin/edit-comments.php">View Comments</a></li>
				<?php endif ?>

				<?php if( current_user_can('edit_themes') ) : ?>
					<li><a href="<?php bloginfo('home') ?>/wp-admin/themes.php">Edit Themes</a></li>
				<?php endif ?>

				<?php if( current_user_can('edit_plugins') ) : ?>
					<li><a href="<?php bloginfo('home') ?>/wp-admin/plugins.php">Edit Plugins</a></li>
				<?php endif ?>

				<?php if( current_user_can('edit_users') ) : ?>
					<li><a href="<?php bloginfo('home') ?>/wp-admin/users.php">Edit Users</a></li>
				<?php endif ?>

				<?php if( current_user_can('manage_options') ) : ?>
					<li><a href="<?php bloginfo('home') ?>/wp-admin/options-general.php">Edit Settings</a></li>
				<?php endif ?>

				<?php if( 'Guest' != user_group() ) : ?>
					<li><?php wp_loginout() ?></li>
				<?php endif ?>
				</ul>
			</li>
	<?php }
}
?>