<?php
if( !defined('ABSPATH') ) die ('Please do not load this page directly. Thanks!');
function the_post_data( $not_single = true ) { global $water; the_post() ?>
	<div class="post" id="post-<?php the_ID() ?>">
		<h2 class="posttitle">
			<?php the_post_rss() ?>
			<?php if( $water->show_post_av ) : ?><?php echo get_avatar(get_the_author_ID(), (int)$water->post_av_size) ?> <?php endif ?>
			<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title() ?>"><?php the_title() ?></a>
			<?php if( $water->show_com_top ) : ?> <?php comment_title($not_single) ?><?php endif ?>
		</h2>
		<?php editpostlink() ?>
		<p class="postmeta">Filed under <?php the_category(', ') ?> by <?php the_author() ?></p>

		<div class="the_content">
			<?php if( !$not_single ) the_content(); elseif( !$water->excerpt_index ) the_content('<br /><br />Continue Reading ' . the_title('"', '"', false));
				else { the_excerpt(); echo '<a href="', the_permalink(), '" title="', the_title('Continue Reading &quot;', '&quot;', false) ,'">Continue Reading ' . the_title('&quot;', '&quot;', false), '</a>'; } ?>
		</div>

	<?php if( $water->show_tags ) the_tags('Tags: ', ', ', "<br />\n") ?>

	<?php if( $water->comment_type ) :
		if( $not_single ) : ?>
		<a href="<?php the_permalink() ?>" title="Permalink to <?php the_title() ?>" class="postslink"><?php the_time_format(0, 'post') ?></a>
		<?php comment_parenthesis('No Comments') ?>
		<?php else: ?>
		<a href="<?php the_permalink() ?>" title="Permalink to <?php the_title() ?>" class="postslink"><?php the_time_format(0, 'post') ?></a>
		<?php endif;
	else:
		if( $not_single ) : ?>
		<?php comment_parenthesis() ?> | Date Posted: <?php the_time_format(0, 'post') ?>
		<?php else: ?>
		Date Posted: <?php the_time_format(0, 'post') ?>
		<?php endif;
	endif ?>
	</div>
<?php
}

function editpostlink() {
	global $post;

	if ( 'page' ===  $post->post_type ) {
		if ( !current_user_can( 'edit_page', $post->ID ) )
			return;
	} else {
		if ( !current_user_can( 'edit_post', $post->ID ) )
			return;
	}

	echo '<input type="button" class="edit" value="Edit" title="Edit Post!" onclick="window.location=\'', get_edit_post_link() , '\'" />';
}

function comment_parenthesis($zero = 'Add first comment!') {
	global $water, $post;
	if ( 'closed' === $post->comment_status ) {
		echo '<a href="', get_permalink() ,'" title="Comments Closed" class="commentslink">Comments: Closed</a>';
		return;
	}

	if ( !empty($post->post_password) ) { // if there's a password
		if ($_COOKIE['wp-postpass_'.COOKIEHASH] != $post->post_password) {
			echo '<a href="', the_permalink() ,'" title="Comments Hidden" class="commentslink">Comments: Private</a>';
			return;
		}
	}

	if( $water->com_before_par ) {
		$comment_one = '(1) Comment';
		$comment_two = '(%) Comments';
	} else {
		$comment_one = 'Comment (1)';
		$comment_two = 'Comments (%)';
	}

	switch( get_comments_number() ) {
		case 0:
			echo '<a href="', get_permalink() ,'#respond" title="Comment on ', the_title() ,'" class="commentslink">', $zero ,'</a>';
			break;
		default:
			echo '<a href="', get_permalink() ,'#comments" title="Comment on ', the_title() ,'" class="commentslink">', comments_number($zero, $comment_one, $comment_two) ,'</a>';
			break;
	}
}

function comment_title($not_single) {
	global $post;
	if ( 'closed' === $post->comment_status ) {
		echo '<a href="', the_permalink() ,'" title="Comments Off"><span>Comments: Off</span></a>';
		return;
	}

	if ( !empty($post->post_password) ) { // if there's a password
		if ($_COOKIE['wp-postpass_'.COOKIEHASH] != $post->post_password) {
			echo '<a href="', the_permalink() ,'" title="Comments Hidden"><span>Comments: Private</span></a>';
			return;
		}
	}

	switch( get_comments_number() ) {
		case 0:
			echo '<a href="', get_permalink() ,'#respond" title="Comment on ', the_title() ,'">', $not_single ? 'No Comments' : '<span id="pcomment_count">No Comments</span>', '</a>';
			break;
		default:
			echo '<a href="', get_permalink() ,'#comments" title="Comment on ', the_title() ,'"><span', $not_single ? '>' : ' id="pcomment_count">', comments_number('No Comments', '1 Comment', '% Comments'), '</span></a>';
			break;
	}
}

function maybe_private_title($post) {
	if ( !is_admin() ) {
		if ( !empty($post->post_password) )
			return sprintf(__('Protected: %s'), apply_filters( 'the_title', $post->post_title));
		else if ( isset($post->post_status) && 'private' == $post->post_status )
			return sprintf(__('Private: %s'), apply_filters( 'the_title', $post->post_title));
	}
	return apply_filters( 'the_title', $post->post_title);
}

function the_next_post() {
	$post = get_next_post(false, '');
	if ( !$post ) return;
	echo '<p class="right"><a href="', get_permalink($post->ID) ,'">', maybe_private_title($post) ,' &raquo;</a></p>';
}

function the_previous_post() {
	$post = get_previous_post(false, '');
	if ( !$post ) return;
	echo '<p class="left"><a href="', get_permalink($post->ID) ,'">&laquo; ', maybe_private_title($post) ,'</a></p>';
}

function the_post_rss() {
	global $water;
	if( !get_comments_number() )
		return;

	if ( 'closed' === $post->comment_status || !$water->show_poco_rss )
		return;

	if ( !empty($post->post_password) ) { // if there's a password
		if ($_COOKIE['wp-postpass_'.COOKIEHASH] !== $post->post_password)
			return;
	}

	echo '<a href="', get_post_comments_feed_link() ,'" title="Comment RSS to ', the_title() ,'" class="right"><img src="', bloginfo('template_directory') ,'/images/rss.gif" alt="Comment RSS" border="0" /></a>';
}
?>