<?php
if( !defined('ABSPATH') ) die ('Please do not load this page directly. Thanks!');
function recent_entries( $args = '' ) {
	global $wpdb, $water, $sbtitle;
	if( !$water->show_recent_p )
		return;

	if( empty($args) )
		$args = $water->recent_entries;

	$defaults = array(
		'max' => 5, 'offset' => 0,
		'summary' => 50, 'before' => '<li>',
		'after' => '</li>', 'echo' => 1
	);

	$return = array();
	$r = wp_parse_args( $args, $defaults );
	extract( $r, EXTR_SKIP );

	str2bool( $echo );
	$wpdb->query("SELECT ID, post_title FROM $wpdb->posts WHERE post_type = 'post' ORDER BY post_date DESC LIMIT $offset, $max");
	if( empty($wpdb->last_result) ) return;

	foreach( $wpdb->last_result as $post ) {
		$post->post_title = str_escape($post->post_title);
		summarize( $post->post_title, $summary );
		$return[] = $before . '<a href="' . get_permalink($post->ID) . '" title="' . $post->post_title . '">' . str_escape($post->post_title) . '</a>' . $after;
	}

	if( $echo ) : ?>
		<li>
			<?php echo $sbtitle[0], 'Recent Entries', $sbtitle[1] ?>
			<ul>
			<?php echo implode("\n\t\t\t\t", $return) ?>
			</ul>
		</li>
	<?php else:
		return $return;
	endif;
}

function recent_comments( $args = '' ) {
	global $wpdb, $water, $sbtitle;
	if( !$water->show_recent_c )
		return;

	if( empty($args) )
		$args = $water->recent_comments;

	$defaults = array(
		'max' => 5, 'offset' => 0,
		'summary' => 50, 'before' => '<li>',
		'after' => '</li>', 'echo' => 1
	);

	$issingle = 0;
	$r = wp_parse_args( $args, $defaults );
	extract( $r, EXTR_SKIP );

	$return = array();
	str2bool( $echo );
	$wpdb->query("SELECT comment_author, comment_ID, comment_post_ID as ID, comment_content FROM $wpdb->comments WHERE comment_approved = '1' && comment_type = '' ORDER BY comment_date_gmt DESC LIMIT $offset, $max");
	if( empty($wpdb->last_result) ) return;
	if( $water->comments_js ) $issingle = is_single();

	foreach( $wpdb->last_result as $comment )
	{
		$is_pass = $wpdb->get_var("SELECT post_password FROM $wpdb->posts WHERE ID = $comment->ID LIMIT 1");
		if( empty($comment->comment_author) ) { $comment->comment_author = "Anonymous"; }
		if( $issingle ) {
			if( get_the_ID() == $comment->ID ) {
				$link = '<a href="javascript:;" onclick="loadXMLDoc(0,0,' . $comment->comment_ID . ')"';
			} else {
				$link = '<a href="' . get_permalink($comment->ID) . '#comment-' . $comment->comment_ID . '"';
			}
		}
			else
		{
			$link = '<a href="' . get_permalink($comment->ID) . '#comment-' . $comment->comment_ID . '"';
		}

		$comment->comment_content = str_escape($comment->comment_content);
		if( !empty($is_pass) ) {
			if( $is_pass === $_COOKIE['wp-postpass_'.COOKIEHASH] ) {
				$content = $comment->comment_author . ': ' . $comment->comment_content;
			} else {
				$content = 'Anonymous: Comment Hidden';
			}
		} else {
			$content = $comment->comment_author . ': ' . $comment->comment_content;
		}

		summarize( $content, $summary );
		$return[] = $before . $link . ' title="' . get_the_title($comment->ID) . '">' . $content . '</a>' . $after;
	}

	if( $echo ) : ?>
		<li>
			<?php echo $sbtitle[0], 'Recent Comments', $sbtitle[1] ?>
			<ul>
			<?php echo implode("\n\t\t\t\t", $return) ?>
			</ul>
		</li>
	<?php else:
		return $return;
	endif;
}

function rss_list( $args = '' ) {
	global $wpdb;

	$defaults = array(
		'site' => '', 'max' => 5,
		'offset' => 0, 'summary' => 50,
		'before' => '<li>', 'after' => '</li>',
		'echo' => 1
	);

	$return = array();
	$r = wp_parse_args( $args, $defaults );
	extract( $r, EXTR_SKIP );
	str2bool($echo);

	require_once (ABSPATH . WPINC . '/rss.php');
	$rss   = @fetch_rss($site);
	if( empty($rss) ) return;
	$items = array_slice($rss->items, $offset, $max);

	foreach( $items as $item ) {
		summarize( $item['title'], $summary );
		$return[] = $before . '<a href="' . $item['link'] . '">' . str_escape($item['title']) . '</a>' . $after;
	}

	if( $echo )
		return $return;
	else
		echo implode("\n", $return);
}
?>