<?php
if( !defined('ABSPATH') ) die ('Please do not load this page directly. Thanks!');
function widget_fix() {
	global $wp_registered_sidebars, $sbtitle;
	$sbtitle = array('<span>', '</span>');
	foreach( $wp_registered_sidebars as $k => $wpsb ) {
		$wp_registered_sidebars[$k]['before_title'] = $sbtitle[0];
		$wp_registered_sidebars[$k]['after_title'] =  $sbtitle[1];
	}
}

function get_the_pages() {
	global $water, $the_pages;

	if( $water->show_pages_tab ) {
		if( !isset($the_pages) ) {
			if( isingroup($water->page_group) ) {
					$water->pg_exclude = '';
			}
			$the_pages  = !is_home() && $water->show_home ? "<li id=\"home\"><a href=\"" . get_bloginfo('home') . "/\">Home</a></li>\n" : '';
			$the_pages .= wp_list_pages('echo=0&title_li=&depth=1' . $water->pg_exclude);
		}

		return $the_pages;
	}

	return false;
}

function get_the_cats() {
	global $water, $the_categories;

	if( $water->show_cat_tab ) {
		if( !isset($the_categories) ) {
			if ( isingroup($water->cat_group) ) {
				$water->cat_exclude = '';
			}

			$the_categories = wp_list_categories('echo=0&title_li=' . $water->cat_exclude);

			if( !preg_match("/http/is", $the_categories) ) {
				$the_categories = false;
			}
		}

		return $the_categories;
	}

	return false;
}

function water_tag_cloud( $args = '' ) {
	global $water, $sbtitle;
	if( !$water->show_tag_cloud )
		return;

	$defaults = array(
		'smallest' => 8, 'largest' => 22, 'unit' => 'pt', 'number' => 45,
		'format' => 'flat', 'orderby' => 'name', 'order' => 'ASC',
		'exclude' => '', 'include' => ''
	);

	$args = wp_parse_args( $args, $defaults );

	$tags = get_tags( array_merge($args, array('orderby' => 'count', 'order' => 'DESC')) ); // Always query top tags

	if ( empty($tags) )
		return;

	$return = wp_generate_tag_cloud( $tags, $args ); // Here's where those top tags get sorted according to $args

	if ( is_wp_error( $return ) )
		return false;

	$return = apply_filters( 'wp_tag_cloud', $return, $args );

	if ( empty($return) )
		return ?>
		<li>
			<?php echo $sbtitle[0], 'Popular Tags', $sbtitle[1], $return ?>
		</li><?php
}

function water_meta() {
	global $water, $sbtitle ?>
		<li>
			<?php echo $sbtitle[0]; _e('Meta'); echo $sbtitle[1] ?>
			<ul>
				<?php wp_register() ?>
				<li><?php wp_loginout() ?></li>
				<?php if( !$water->maintenance_mod || isingroup($water->maintenance_lv) ) : ?><li><a href="<?php bloginfo('rss2_url') ?>" title="<?php _e('Syndicate this site using RSS') ?>"><?php _e('Entries <abbr title="Really Simple Syndication">RSS</abbr>') ?></a></li>
				<li><a href="<?php bloginfo('comments_rss2_url') ?>" title="<?php _e('The latest comments to all posts in RSS') ?>"><?php _e('Comments <abbr title="Really Simple Syndication">RSS</abbr>') ?></a></li><?php endif ?>
				<li><a href="http://wordpress.org/" title="<?php _e('Powered by WordPress, state-of-the-art semantic personal publishing platform.') ?>">WordPress</a></li>
				<?php wp_meta() ?>
			</ul>
		</li><?php
}
?>