<?php
function lvl_to_grp($ar) {
	$get = array(
		'0: Subscriber (also Guests)',
		'1: Contributor',
		'2: Author',
		'3: Author',
		'4: Author',
		'5: Editor',
		'6: Editor',
		'7: Editor',
		'8: Administrator',
		'9: Administrator',
		'10: Administrator',
		'100: None');

	$set = array(
		'Subscriber',
		'Contributor',
		'Author',
		'Author',
		'Author',
		'Editor',
		'Editor',
		'Editor',
		'Administrator',
		'Administrator',
		'Administrator',
		'None');

	$find = array_search($ar, $get);

	if( !$find )
		return $ar;

	return $set[$find];
}

switch( (int)get_option('water_version') ) {
	case 0:
		// Exclude Tabs
		$exclude_tab = get_option('water_exclude_tab');
		$exclude_tab_keys = @array_keys($exclude_tab);
		if( is_array($exclude_tab_keys) ) {
			foreach( $exclude_tab_keys as $key => $value ) {
				if( is_string($value) )
					$key = $value;
				switch($key) {
					case 'pages':
						update_option('water_show_pages_tab', 'yes');
						break;
					case 'category':
						update_option('water_show_cat_tab', 'yes');
						break;
					case 'archives':
						update_option('water_show_arch_tab', 'yes');
						break;
					case 'extra':
						update_option('water_show_extra_tab', 'yes');
						break;
					case 'options':
						update_option('water_show_opt_tab', 'yes');
						break;
				}
			}
			delete_option('water_exclude_tab');
		}

		// Category Exclude
		$cat_exclude = get_option('water_cat_exclude');
		if( is_array($cat_exclude) )
			if( $cat_exclude[0] > 0 )
				update_option('water_cat_exclude', '&exclude=' . @implode(',', $cat_exclude));
			else
				update_option('water_cat_exclude', '&exclude=' . @implode(',', array_keys($cat_exclude)));

		$cat_level = get_option('water_m_lv_cat_exc');
		if( false !== $cat_level ) {
			delete_option('water_m_lv_cat_exc');
			update_option('water_cat_group', lvl_to_grp($cat_level) );
		}

		// Page Exclude
		$pg_exclude = get_option('water_pg_exclude');
		if( is_array($pg_exclude) )
			if( $pg_exclude[0] > 0 )
				update_option('water_pg_exclude', '&exclude=' . @implode(',', $pg_exclude));
			else
				update_option('water_pg_exclude', '&exclude=' . @implode(',', array_keys($pg_exclude)));
		$page_level = get_option('water_m_lv_pg_exc');
		if( false !== $page_level ) {
			delete_option('water_m_lv_pg_exc');
			update_option('water_page_group', lvl_to_grp($page_level));
		}

		$comments_order = get_option('water_comments_order');
		if( false !== $comments_order )
			if( 'Ascending' === $comments_order )
				update_option('water_comments_order', 'ASC');
			else
				update_option('water_comments_order', 'DESC');

		$main_level = get_option('water_maintenance_lv');
		if( false !== $main_level )
			update_option('water_maintenance_lv', lvl_to_grp($main_level));

		delete_option('water_editbutton_lvl');

		$head_img = get_option('water_head_img');
		if( false !== $head_img )
			if( !preg_match('/(' . get_bloginfo('home') . ')(.*)(images/|)(header.jpg)/', $head_img) )
				update_option('water_head_img', 'images/header.jpg');

	case 1:
		$bools = array('show_pages_tab', 'show_cat_tab', 'show_arch_tab', 'show_opt_tab',
			'show_extra_tab', 'comment_type', 'date_meta', 'show_com_top', 'com_before_par',
			'com_order_show', 'comments_js', 'show_auth_color', 'show_blog_desc', 'maintenance_mod',
			'show_tag_cloud', 'show_recent_p', 'show_recent_c', 'show_tags', 'show_comment_av',
			'show_post_av', 'show_cat_bar', 'show_poco_rss');

		foreach($bools as $bool) {
			$opt = get_option('water_' . $bool);
			if( !$opt )
				continue;
			if( 'yes' === $opt )
				update_option('water_' . $bool, 1);
			elseif( 'no' === $opt )
				update_option('water_' . $bool, 0);
		}

	case 2:
		delete_option('water_post_date1');
		delete_option('water_post_date_sep');
		delete_option('water_post_date2');
		delete_option('water_comment_date1');
		delete_option('water_com_date_sep');
		delete_option('water_comment_date2');
		delete_option('water_date_meta');
		delete_option('water_com_order_show');
		update_option('water_version', 3);
		break;

	default:
		break;
}
?>